summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author B. Watson2020-01-12 08:39:06 +0100
committer Willy Sudiarto Raharjo2020-01-12 08:39:06 +0100
commitbe01de1b8c79f58582324102b51509b2c25a1353 (patch)
treeb8641b656f0248089aaee7349b792a6533004176 /games
parent98a19da48bd2cc955d335c14fc5aa3fb3e7cb74f (diff)
downloadslackbuilds-be01de1b8c79f58582324102b51509b2c25a1353.tar.gz
games/fortune-slackware: Added (Slackware quotes for fortune).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/fortune-slackware/README11
-rw-r--r--games/fortune-slackware/formatting.diff45
-rw-r--r--games/fortune-slackware/fortune-slackware.SlackBuild59
-rw-r--r--games/fortune-slackware/fortune-slackware.info10
-rw-r--r--games/fortune-slackware/slack-desc19
5 files changed, 144 insertions, 0 deletions
diff --git a/games/fortune-slackware/README b/games/fortune-slackware/README
new file mode 100644
index 0000000000..069045dca8
--- /dev/null
+++ b/games/fortune-slackware/README
@@ -0,0 +1,11 @@
+fortune-slackware (alt.os.linux.slackware quotes for fortune)
+
+alt.os.linux.slackware (aka AOLS) is a UseNET newsgroup dedicated to
+discussion of Slackware. This fortune file is a collection of quotes
+either seen on AOLS or by AOLS regulars that were deemed so wise, funny,
+inflammatory or any combination of those that they were submitted for
+inclusion.
+
+After installing, use "fortune slackware" to see a Slackware
+quote. You can add slackware to the fortune command in
+/etc/profile.d/bsd-games-login-fortune.sh, to see them on login.
diff --git a/games/fortune-slackware/formatting.diff b/games/fortune-slackware/formatting.diff
new file mode 100644
index 0000000000..f869a40c61
--- /dev/null
+++ b/games/fortune-slackware/formatting.diff
@@ -0,0 +1,45 @@
+diff -Naur a/slack-fortunes-vol-1 b/slack-fortunes-vol-1
+--- a/slack-fortunes-vol-1 2005-10-12 22:27:54.000000000 -0400
++++ b/slack-fortunes-vol-1 2020-01-08 14:16:12.152187462 -0500
+@@ -316,7 +316,6 @@
+ now what plonking means, let alone how to do it. ;)
+ -- Bartosz Oudekerk
+ %
+-%
+ He probably does know what it means but thinks it'll make him go blind.
+ -- Billy Watt
+ %
+diff -Naur a/slack-fortunes-vol-13 b/slack-fortunes-vol-13
+--- a/slack-fortunes-vol-13 2006-05-02 00:37:04.000000000 -0400
++++ b/slack-fortunes-vol-13 2020-01-08 14:03:06.972003565 -0500
+@@ -1,4 +1,3 @@
+-%
+ > scratched away the "Designed for Windows XP" label and glued it on the
+ > lid of my kitchen dustbin,
+ Holy crap! these labels really _do_ have a purpose!
+diff -Naur a/slack-fortunes-vol-15 b/slack-fortunes-vol-15
+--- a/slack-fortunes-vol-15 2007-07-18 23:26:34.000000000 -0400
++++ b/slack-fortunes-vol-15 2020-01-08 14:03:27.647745082 -0500
+@@ -449,4 +449,3 @@
+ %
+ A crucial program for my day to day work is kpat (KDE solitaire)!
+ From: Manimoto
+-%
+\ No newline at end of file
+diff -Naur a/slack-fortunes-vol-8 b/slack-fortunes-vol-8
+--- a/slack-fortunes-vol-8 2005-10-12 22:27:54.000000000 -0400
++++ b/slack-fortunes-vol-8 2020-01-08 14:01:49.022978062 -0500
+@@ -657,5 +657,3 @@
+ `----------------------------------------'
+ From: Faux_Pseudo
+ %
+-
+-
+diff -Naur a/slack-fortunes-vol-9 b/slack-fortunes-vol-9
+--- a/slack-fortunes-vol-9 2005-10-12 22:27:54.000000000 -0400
++++ b/slack-fortunes-vol-9 2020-01-08 14:01:54.537909116 -0500
+@@ -333,4 +333,3 @@
+ Worm.MargarinoFilth.C:0:*:6a7573746c696e75782e6e6f70652e6361
+ From: Kurt Fitzner
+ %
+-
diff --git a/games/fortune-slackware/fortune-slackware.SlackBuild b/games/fortune-slackware/fortune-slackware.SlackBuild
new file mode 100644
index 0000000000..ba5c4367f8
--- /dev/null
+++ b/games/fortune-slackware/fortune-slackware.SlackBuild
@@ -0,0 +1,59 @@
+#!/bin/sh
+
+# Slackware build script for fortune-slackware
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=fortune-slackware
+VERSION=${VERSION:-1.15}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# Package is named like all the other fortune-* ones for consistency.
+SRCNAM=slack-fortunes-all
+
+# Where the fortune end up installing to.
+FDIR=$PKG/usr/share/games/fortunes
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $FDIR $OUTPUT
+cd $TMP
+# no top-level dir in the tarball!
+rm -rf $PRGNAM-$VERSION
+mkdir -p $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tgz
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+# There's 15 fortune files in the source, combine them all into one.
+
+# Patch fixes the mess caused by some files starting with a % line,
+# some having blank line(s) after the last % line, some having two %
+# lines in a row, and the last file should NOT have a % line at the end.
+patch -p1 < $CWD/formatting.diff
+
+cat slack-fortunes-vol-? slack-fortunes-vol-?? > $FDIR/slackware
+strfile $FDIR/slackware
+
+DOCDIR=$PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $DOCDIR
+cat $CWD/README > $DOCDIR/README
+cat $CWD/$PRGNAM.SlackBuild > $DOCDIR/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/fortune-slackware/fortune-slackware.info b/games/fortune-slackware/fortune-slackware.info
new file mode 100644
index 0000000000..a674173afd
--- /dev/null
+++ b/games/fortune-slackware/fortune-slackware.info
@@ -0,0 +1,10 @@
+PRGNAM="fortune-slackware"
+VERSION="1.15"
+HOMEPAGE="http://web.archive.org/web/20110816020410/http://fauxascii.com/linux/mod_quotes.html"
+DOWNLOAD="http://urchlay.naptime.net/~urchlay/src/slack-fortunes-all-1.15.tgz"
+MD5SUM="8fbf56ffc9ebceda518f02b3a8d0e55e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/games/fortune-slackware/slack-desc b/games/fortune-slackware/slack-desc
new file mode 100644
index 0000000000..79937b59ba
--- /dev/null
+++ b/games/fortune-slackware/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+fortune-slackware: fortune-slackware (alt.os.linux.slackware quotes for fortune)
+fortune-slackware:
+fortune-slackware: alt.os.linux.slackware (aka AOLS) is a UseNET newsgroup dedicated
+fortune-slackware: to discussion of Slackware. This fortune file is a collection of
+fortune-slackware: quotes either seen on AOLS or by AOLS regulars that were deemed so
+fortune-slackware: wise, funny, inflammatory or any combination of those that they were
+fortune-slackware: submitted for inclusion.
+fortune-slackware:
+fortune-slackware:
+fortune-slackware:
+fortune-slackware: